const app = require('../../utils/util.js');
const tool = require('../../utils/tool.js');
Page({
  data: {},
  isOk() {
    tool.isFinishInfo().then(result => {
      console.log('我完善信息了')
      tool.isLogin().then(result2 => {
        tool.isFinishTargetInfo().then(redult3 => {
          this.baoming()
        }).catch(err => {
          wx.showModal({
            title: '您还未完善择偶信息',
            showCancel: false,
            success(res) {
              if (res.confirm) {
                wx.navigateTo({
                  url: '/pages/targetInfo/targetInfo',
                })
              }
            }
          })
          return false;
        })
      }).catch(err => {
        wx.showModal({
          title: '您还未登陆',
          showCancel: false,
          success(res) {
            if (res.confirm) {
              wx.redirectTo({
                url: '/pages/personal/personal',
              })
            }
          }
        })
        return false;
      })
    }).catch(err => {
      wx.showModal({
        title: '您还未完善个人信息',
        showCancel: false,
        success(res) {
          if (res.confirm) {
            wx.navigateTo({
              url: '/pages/personInfo/personInfo',
            })
          }
        }
      })
      return false;
    })
  },
  baoming() {
    wx.request({
      url: app.globalData.publicUrl + '/wx/actives/' + this.data.openid + '/' + this.data.id + '/enter',
      method: "get",
      success: (res) => {
        if (res.data.code == 0) {
          wx.requestSubscribeMessage({
            tmplIds: ['YNGZW3voCNtjvTkhi2xbbVinJkjFKcILEG7uFC_xz2Y'],
            success(res) {
              console.log(res, '成功了');
              wx.redirectTo({
                url: '/pages/registrationSuccess/registrationSuccess',
              })
            },
            fail(res1) {
              console.log(res1, '失败了')
              wx.redirectTo({
                url: '/pages/registrationSuccess/registrationSuccess',
              })
            }
          })
        }
      }
    })
  },

  async onLoad(options) {
    console.log(options)
    tool.openidStatus().then(result => {
      this.setData({
        openid: result[0],
        sessionkey: result[1],
        activeOpenid: options.openId
      })
      this.getActivies(options.id);
    })
  },
  getActivies(id2) {
    wx.request({
      url: app.globalData.publicUrl + '/wx/actives/' + this.data.openid + '/' + id2 + '/detail',
      method: "get",
      success: (res) => {
        if (res.data.code == 0) {
          console.log(res, '查询活动详情')
          this.setData({
            id: res.data.activeRoll.id,
            actualCount: res.data.activeRoll.actualCount,
            planCount: res.data.activeRoll.planCount,
            activeStart: res.data.activeRoll.activeStart,
            address: res.data.activeRoll.address,
            remark: res.data.activeRoll.remark
          })
          console.log(this.data.isOpenid)
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})